Reporting lets you retrieve information about your linked accounts' ad
performance and lead information.

## Account Reports

Account Reports show the performance and metrics associated with the linked
Local Services accounts of a Manager account. You can view this data over a
specified time period. The data might be up to 30 minutes out of date.

To acquire the report, send an HTTP `GET` request to
`https://localservices.googleapis.com/v1/accountReports:search` with the
following configurable URL parameters:

| URL parameters ||
|---|---|
| `query` | **Required** Contains one or more ID values, one of which must be the ID of the Manager account for the query. `query` can accept multiple semicolon-separated values: - Required: `manager_customer_id:<manager_cid>` - Optional: `customer_id:<linked_cid>` Example: `query=manager_customer_id:123;customer_id:456` |
| `startDate.day` | Optional The day of the month that the reporting period starts on. Can take values between `1` and `31` inclusive. Defaults to `1`. |
| `startDate.month` | Optional The starting month for the reporting period. Can take values between `1` and `12` inclusive. Defaults to the current month. |
| `startDate.year` | Optional The year when the reporting period starts, in `YYYY` format. Defaults to the current year. |
| `endDate.day` | Optional The day of the month when the reporting period ends. Can take values between `1` and `31` inclusive. Defaults to the current day. |
| `endDate.month` | Optional The month when the reporting period ends. Can take values between `1` and `12` inclusive. Defaults to the current month. |
| `endDate.year` | Optional The year when the reporting period ends, in `YYYY` format. Defaults to the current year. |
| `pageSize` | Optional A positive integer that indicates the number of entries to return. Defaults to `1000`, and the maximum is `10000`. |
| `pageToken` | Optional A string. Enter the `next_page_token` from the previous response in this field. |

The fields in the previous table are used to construct a
`SearchAccountReportsRequest`. For each customer ID in the request, a
corresponding `AccountReports` is included in `SearchAccountReportsResponse`.
Each Account Report maps one-to-one with a linked customer account that displays
Local Services ads.

> [!NOTE]
> **Note:** Protos for request, response, data structures are available and linked to after your launch.

The following table shows the fields in `AccountReports`:

| Fields ||
|---|---|
| `accountId` | Linked customer ID with a Local Services Account. |
| `businessName` | Business name of the customer. |
| `averageWeeklyBudget` | Current average weekly budget of the customer. |
| `averageFiveStarRating` | Average five-star rating, which is computed from all of the available reviews of the customer. |
| `totalReview` | Total number of reviews available for the customer. |
| `impressionsLastTwoDays` | Total number of impressions the account has had in the last two days. |
| `phoneLeadResponsiveness` | Phone lead responsiveness of the account for the previous 90 days. To compute this, the total number of connected calls from charged phone leads is divided by the total number of calls received. |
| `currentPeriodChargedLeads` | Number of charged leads in the specified date range period. |
| `previousPeriodChargedLeads` | Number of charged leads in the previous period. For example, if the date range is set to be January 21 to January 30, then the previous period would be January 11 to January 20. |
| `currentPeriodTotalCost` | Sum of the cost from charged leads in the specified date range period. |
| `previousPeriodTotalCost` | Sum of the cost from charged leads in the previous period. For example, if the date range is set to be January 21 to January 30, then the previous period would be January 11 to January 20. |
| `currencyCode` | Currency code of the customer account. |
| `currentPeriodPhoneCalls` | Number of phone calls in the specified date range period, both connected and unconnected. |
| `previousPeriodPhoneCalls` | Number of phone calls in the previous period, both connected and unconnected. |
| `currentPeriodConnectedPhoneCalls` | Number of connected phone calls in the specified date range period with a duration over 30 seconds. |
| `previousPeriodConnectedPhoneCalls` | Number of connected phone calls in the previous period with a duration over 30 seconds. |

### Examples

**HTTP Request URL**

    https://localservices.googleapis.com/v1/accountReports:search?query=manager_customer_id:{manager_customer_id}

**Complete HTTP request sample**

    GET /v1/accountReports:search?query=manager_customer_id:{manager_customer_id} HTTP/1.1
    Host: localservices.googleapis.com
    User-Agent: curl
    Content-Type: application/json
    Accept: application/json
    Authorization: Bearer [Enter OAuth 2.0 access token here]

## Detailed Lead Reports

> [!IMPORTANT]
> **Important:** Detailed Lead Reports is deprecated. Use the [Google Ads API](https://developers.google.com/google-ads/api/docs/campaigns/local-service-campaigns#local_services_lead) to fetch Leads and Conversations associated with your Local Services accounts.

Detailed Lead Reports show an in-depth view of leads associated with the linked
Local Services accounts of a Manager account. You can view this data over a
specified time period. For a given time range, the report includes leads created
or leads that have had their dispute status updated. The data might be up to 30
minutes out of date.

> [!NOTE]
> **Note:** API clients can only request Detailed Lead Reports for a period of at most 31 days. This is due to the large volume of leads that can be returned by the report.

To acquire the report, send an HTTP `GET` request to
`https://localservices.googleapis.com/v1/detailedLeadReports:search` with the
following configurable URL parameters:

| URL parameters ||
|---|---|
| `query` | **Required** Contains one or more ID values, one of which must be the ID of the Manager account for the query. `query` can accept multiple semicolon-separated values: - Required: `manager_customer_id:<manager_cid>` - Optional: `customer_id:<linked_cid>` Example: `query=manager_customer_id:123;customer_id:456` |
| `startDate.day` | Optional The day of the month that the reporting period starts on. Can take values between `1` and `31` inclusive. Defaults to `1`. |
| `startDate.month` | Optional The starting month for the reporting period. Can take values between `1` and `12` inclusive. Defaults to the current month. |
| `startDate.year` | Optional The year when the reporting period starts, in `YYYY` format. Defaults to the current year. |
| `endDate.day` | Optional The day of the month when the reporting period ends. Can take values between `1` and `31` inclusive. Defaults to the current day. |
| `endDate.month` | Optional The month when the reporting period ends. Can take values between `1` and `12` inclusive. Defaults to the current month. |
| `endDate.year` | Optional The year when the reporting period ends, in `YYYY` format. Defaults to the current year. |
| `pageSize` | Optional A positive integer that indicates the number of entries to return. Defaults to `1000`, and the maximum is `10000`. |
| `pageToken` | Optional A string. Enter the `next_page_token` from the previous response in this field. |

The previous fields are used to construct a `SearchDetailedLeadReportsRequest`.
For each customer ID in the request, a corresponding `DetailedLeadReports` is
included in `SearchDetailedLeadReportsResponse`. Each Detailed Lead Report maps
one-to-one with a specific lead that's associated with a linked customer account
that displays Local Services ads.

The following table shows the fields in `DetailedLeadReports`:

| Fields ||
|---|---|
| `leadId` | Unique identifier of a lead. |
| `accountId` | Identifies the account that received the lead. |
| `businessName` | Business name associated with the account. |
| `leadCreationTimestamp` | Timestamp of when the lead was created. Includes the date in `M/D/YYYY` format and the time in `HH:MM:SS` format. Example: `11/1/2019 12:13:20` |
| `leadType` | Type of lead: `MESSAGE` or `PHONE_CALL`. |
| `leadCategory` | Service category associated with the lead. Example: `housecleaner` |
| `geo` | Locations of the associated account's home city. Example: `San Francisco, California, United States` |
| `messageLead` | Information that's associated with only message leads: `customerName`, `jobType`, `postalCode`, and `consumerPhoneNumber`. |
| `phoneLead` | Information that's associated with only phone leads: `chargedCallTimestamp`, `chargedConnectedCallDurationSeconds`, and `consumerPhoneNumber`. |
| `bookingLead` | Information that's associated with only booking leads: `customerName`, `consumerPhoneNumber`, `jobType`, `consumerEmail`, and `bookingAppointmentTimestamp`. |
| `chargeStatus` | Whether the lead has been charged. Can be `true` or `false`. |
| `currencyCode` | Currency code of the account that the lead was created for. |
| `disputeStatus` | Dispute status of the lead. |
| `aggregatorInfo` | Information that's specific to third-party aggregator partners. This field is populated only for API clients that are associated with third-party aggregator partners. > [!NOTE] > **Note:** This isn't applicable to standard My Client Center (MCC) clients. |
| `timezone` | Timezone of the account associated with the lead. Given in the [IANA Time Zone Database](https://www.iana.org/time-zones) format. |

### Examples

**HTTP Request URL**

    https://localservices.googleapis.com/v1/detailedLeadReports:search?query=manager_customer_id:{manager_customer_id}

**Complete HTTP request sample**

    GET /v1/detailedReports:search?query=manager_customer_id:{manager_customer_id} HTTP/1.1
    Host: localservices.googleapis.com
    User-Agent: curl
    Content-Type: application/json
    Accept: application/json
    Authorization: Bearer [Enter OAuth 2.0 access token here]